## gate.util.persistence
Class PersistenceManager.ObjectHolder

    java.lang.Object
      |
      +--gate.util.persistence.PersistenceManager.ObjectHolder

Enclosing class:
  PersistenceManager

protected static class PersistenceManager.ObjectHolder
extends Object

A reference to an object; it uses the identity hashcode and the equals defined by object identity. These values will be used as keys in the {link #existingPersitentReplacements} map.

Field Summary
`private Object` `target`

Constructor Summary
`(package private)` `PersistenceManager.ObjectHolder(Object target)`

Method Summary
`boolean` `equals(Object obj)`
`Object` `getTarget()`
`int` `hashCode()`

Methods inherited from class java.lang.Object
`<clinit>, clone, finalize, getClass, notify, notifyAll, registerNatives, toString, wait, wait, wait`

Field Detail

### target

    private Object target

Constructor Detail

### PersistenceManager.ObjectHolder

    PersistenceManager.ObjectHolder(Object target)

Method Detail

### hashCode

    public int hashCode()

  Overrides:
    `hashCode` in class `Object`

### equals

    public boolean equals(Object obj)

  Overrides:
    `equals` in class `Object`

### getTarget

    public Object getTarget()